package sentio

import "time"

type Strategy interface {
	Name() string

	MarketId() string
	PositionSymbols() map[Side]string
	MaxTradeDuration() time.Duration
	Interval() uint8

	EnableStopLoss() bool

	Handle(turn *Turn, market Market, rs RiskManager) error
}
